component-section(datetimestart='2021-12-23T18:30' minutesneeded='165' istopmost='true')
  div(slot='title') Hashen
  p.bron
    a(href='#sec_7') Hashen
    | .
  component-section
    div(slot='title') Wat je leert
    component-intendedlearningoutcomes
      component-intendedlearningoutcome(codes='["begrip-adt-rij-associatief"]')
        | Je legt uit associatieve rij (dictionary).
      component-intendedlearningoutcome(codes='["begrip-datastructuur-hashverzameling"]')
        | Je legt uit hashverzameling.
      component-intendedlearningoutcome(codes='["ontwikkeling-datastructuur-hashtabel"]')
        | Je ontwikkelt een hashtabel.
  component-section(datetimestart='2021-12-23T18:30' minutesneeded='5')
    div(slot='title') Welkom
  component-section(datetimestart='2021-12-23T18:35' minutesneeded='20')
    div(slot='title') De principes van hashen
  component-section(datetimestart='2021-12-23T18:55' minutesneeded='20')
    div(slot='title') Procedure hashen met singly-linked list buckets
  component-section(datetimestart='2021-12-23T19:15' minutesneeded='45')
    div(slot='title') Procedure hashen met probing
  component-section(datetimestart='2021-12-23T20:00' minutesneeded='10')
    div(slot='title') ⏸️ Pauze
  component-section(datetimestart='2021-12-23T20:10' minutesneeded='20')
    div(slot='title') Voorbeeld hashverzameling in Rust
  component-section(datetimestart='2021-12-23T20:30' minutesneeded='35')
    div(slot='title') Voorbeeld hashtabel in Rust
  component-section(datetimestart='2021-12-23T21:05' minutesneeded='10')
    div(slot='title') Afronding
